net.sf.jasperreports.crosstabs.fill

## Class JRFillCrosstabParameter

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillParameter
  - - net.sf.jasperreports.crosstabs.fill.JRFillCrosstabParameter

- All Implemented Interfaces:
    java.lang.Cloneable, JRCrosstabParameter, JRCloneable, JRDatasetParameter, JRParameter, JRPropertiesHolder, JRValueParameter

      public class JRFillCrosstabParameter
      extends JRFillParameter
      implements JRCrosstabParameter

  Crosstab parameter implementation used at fill time.
  Version:
    $Id: JRFillCrosstabParameter.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillParameter

      `parent`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRParameter

      `FILTER, IS_IGNORE_PAGINATION, JASPER_REPORT, JASPER_REPORTS_CONTEXT, REPORT_CLASS_LOADER, REPORT_CONNECTION, REPORT_CONTEXT, REPORT_DATA_SOURCE, REPORT_FILE_RESOLVER, REPORT_FORMAT_FACTORY, REPORT_LOCALE, REPORT_MAX_COUNT, REPORT_PARAMETERS_MAP, REPORT_RESOURCE_BUNDLE, REPORT_SCRIPTLET, REPORT_TEMPLATES, REPORT_TIME_ZONE, REPORT_URL_HANDLER_FACTORY, REPORT_VIRTUALIZER, SORT_FIELDS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFillCrosstabParameter(JRCrosstabParameter parameter, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRExpression` | `getExpression()` Returns the value expression.

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillParameter

      `clone, getDefaultValueExpression, getDescription, getName, getNestedType, getNestedTypeName, getParentProperties, getPropertiesMap, getValue, getValueClass, getValueClassName, hasProperties, isForPrompting, isSystemDefined, setDescription, setValue`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRParameter

      `getDefaultValueExpression, getDescription, getName, getNestedType, getNestedTypeName, getValueClass, getValueClassName, isForPrompting, isSystemDefined, setDescription`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRDatasetParameter

      `getName`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Constructor Detail

    - #### JRFillCrosstabParameter

          public JRFillCrosstabParameter(JRCrosstabParameter parameter,
                                 JRFillObjectFactory factory)

  - ### Method Detail

    - #### getExpression

          public JRExpression getExpression()

      Description copied from interface: `JRDatasetParameter`
      Returns the value expression.
      Specified by:
        `getExpression` in interface `JRDatasetParameter`
      Returns:
        the value expression

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com